- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpCholeskyTaucs Class Reference

Taucs class for Clp Cholesky factorization. More...

`#include <ClpCholeskyTaucs.hpp>`

Inheritance diagram for ClpCholeskyTaucs:

[legend]
Collaboration diagram for ClpCholeskyTaucs:

[legend]
List of all members.

## Public Member Functions
Virtual methods that the derived classes provides
virtual int | order (ClpInterior *model)
| Orders rows and saves pointer to matrix.and model.
virtual int | symbolic ()
| Dummy.
virtual int | factorize (const double *diagonal, int *rowsDropped)
| Factorize - filling in rowsDropped and returning number dropped.
virtual void | solve (double *region)
| Uses factorization to solve.
Constructors, destructor
| ClpCholeskyTaucs ()
| Default constructor.
virtual | ~ClpCholeskyTaucs ()
| Destructor.
| ClpCholeskyTaucs (const ClpCholeskyTaucs &)
| Default constructor.
ClpCholeskyTaucs & | operator= (const ClpCholeskyTaucs &)
| Default constructor.
virtual ClpCholeskyBase * | clone () const
| Clone.
## Private Attributes
Data members
taucs_ccs_matrix * | matrix_
| Taucs matrix (== sparseFactor etc).
void * | factorization_
| Taucs factor.
double * | sparseFactorT_
| sparseFactor.
CoinBigIndex * | choleskyStartT_
| choleskyStart
int * | choleskyRowT_
| choleskyRow
CoinBigIndex | sizeFactorT_
| sizeFactor.
ClpMatrixBase * | rowCopyT_
| Row copy of matrix.

## Detailed Description

Taucs class for Clp Cholesky factorization.

If you wish to use Sivan Toledo's TAUCS code see

http://www.tau.ac.il/~stoledo/taucs/

for terms of use

The taucs.h file was modified to put

ifdef __cplusplus extern "C"{ endif after line 440 (endif) and ifdef __cplusplus } endif at end

I also modified LAPACK dpotf2.f (two places) to change the GO TO 30 on AJJ.Lt.0.0

to

IF( AJJ.LE.1.0e-20 ) THEN AJJ = 1.0e100; ELSE AJJ = SQRT( AJJ ) END IF

Definition at line 40 of file ClpCholeskyTaucs.hpp.

## Constructor & Destructor Documentation

ClpCholeskyTaucs::ClpCholeskyTaucs | ( |  | ) |

Default constructor.

virtual ClpCholeskyTaucs::~ClpCholeskyTaucs | ( |  | ) | `[virtual]`

Destructor.

ClpCholeskyTaucs::ClpCholeskyTaucs | ( | const ClpCholeskyTaucs & |  | ) |

Default constructor.

## Member Function Documentation

virtual int ClpCholeskyTaucs::order | ( | ClpInterior * | model | ) | `[virtual]`

Orders rows and saves pointer to matrix.and model.

Returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyTaucs::symbolic | ( |  | ) | `[virtual]`

Dummy.

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyTaucs::factorize | ( | const double * | diagonal,
|  | int * | rowsDropped |
| ) |  |  | `[virtual]`

Factorize - filling in rowsDropped and returning number dropped.

If return code negative then out of memory

Reimplemented from ClpCholeskyBase.

virtual void ClpCholeskyTaucs::solve | ( | double * | region | ) | `[virtual]`

Uses factorization to solve.

Reimplemented from ClpCholeskyBase.

ClpCholeskyTaucs& ClpCholeskyTaucs::operator= | ( | const ClpCholeskyTaucs & |  | ) |

Default constructor.

virtual ClpCholeskyBase* ClpCholeskyTaucs::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from ClpCholeskyBase.

## Member Data Documentation

taucs_ccs_matrix* ClpCholeskyTaucs::matrix_`[private]`

Taucs matrix (== sparseFactor etc).

Definition at line 77 of file ClpCholeskyTaucs.hpp.

void* ClpCholeskyTaucs::factorization_`[private]`

Taucs factor.

Definition at line 79 of file ClpCholeskyTaucs.hpp.

double* ClpCholeskyTaucs::sparseFactorT_`[private]`

sparseFactor.

Definition at line 81 of file ClpCholeskyTaucs.hpp.

CoinBigIndex* ClpCholeskyTaucs::choleskyStartT_`[private]`

choleskyStart

Definition at line 83 of file ClpCholeskyTaucs.hpp.

int* ClpCholeskyTaucs::choleskyRowT_`[private]`

choleskyRow

Definition at line 85 of file ClpCholeskyTaucs.hpp.

CoinBigIndex ClpCholeskyTaucs::sizeFactorT_`[private]`

sizeFactor.

Definition at line 87 of file ClpCholeskyTaucs.hpp.

ClpMatrixBase* ClpCholeskyTaucs::rowCopyT_`[private]`

Row copy of matrix.

Definition at line 89 of file ClpCholeskyTaucs.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Clp/src/ClpCholeskyTaucs.hpp